# env
# Written in 2019-2021,2023 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
.POSIX:
.SUFFIXES:
.SUFFIXES: .sh .c .pl

PREFIX =	$(HOME)
MANPREFIX =	$(PREFIX)/local
BIN =		ZZZ browser credentials fetch flac2ogg imgresize invidious \
		nyaasearch plumb pstsrv rbucmd rfcopen screenshot sekrit \
		w3m-copy-link xchg-rates
MAN1 =		sekrit.1
BROWSER_LINKS =	tor-browser

.pl:
	cp -f $< $@
	chmod +x $@

all: $(BIN)

clean:
	rm -f $(BIN)

install: all
	mkdir -p $(PREFIX)/bin
	cp -f $(BIN) $(PREFIX)/bin
	for t in $(BROWSER_LINKS); do \
		rm -f $(PREFIX)/bin/$$t; \
		ln $(PREFIX)/bin/browser $(PREFIX)/bin/$$t; \
	done
	cd $(PREFIX)/bin && chmod 555 $(BIN) $(BROWSER_LINKS)
	mkdir -p $(MANPREFIX)/man/man1
	cp -f $(MAN1) $(MANPREFIX)/man/man1
	cd $(MANPREFIX)/man/man1 && chmod 444 $(MAN1)

uninstall:
	cd $(PREFIX)/bin && rm -f $(BIN) $(BROWSER_LINKS)
